Skip to navigation

Update ProcedureRunPlanCondition

Beta

Update an existing condition within a draft procedure run plan.

Constraints

  • If templateMethodVersionId is changed, the new value must reference a method present in the parent run plan’s flowchart version.
  • Per-PMDV uniformity: After the update, all conditions for each procedure method definition version (PMDV) within the plan must still have the same count, names, descriptions, and replicate counts across all unit operations.
  • If name is provided, it must not be empty. name and description must not exceed 255 characters.
  • If replicates is provided, the plan’s total replicates cannot exceed 500 and replicateNumber values must be consecutive starting from 1.
  • Each template method in a run plan can contain at most 100 conditions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

procedure_run_plan_condition_idstringRequired
ID of the ProcedureRunPlanCondition.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Request

This endpoint expects an object.
descriptionstringOptional
Description of the condition. Must not exceed 255 characters.
methodParametersPlanobject or nullOptional

Pre-filled parameter values for this condition’s unit operation. Set to null to clear planned values and use defaults upon run creation.

namestringOptional
Display name of the condition. Must not be empty and must not exceed 255 characters.
replicateslist of objectsOptional

Replace the full set of replicates for this condition. The plan’s total number of replicates must not exceed 500, and replicateNumber values must be consecutive starting from 1.

Response

OK
__typenamestringOptional
createdAtstringOptional
descriptionstringOptional

The user-defined description of the condition.

idstringOptional
methodParametersPlanobject or nullOptional
Method plan containing parameter values for this condition's unit operation. If this value is null upon promotion to a procedure run, default values from the procedure will be used.
modifiedAtstringOptional
namestringOptional

The user-defined name of the condition.

positionintegerOptional
The display order of the condition within the run.
procedureRunPlanobjectOptional
The ProcedureRunPlan that this condition is a part of.
replicateslist of objectsOptional
Replicate information for this condition.
templateMethodVersionobjectOptional

The procedure method definition version (PMDV) this condition belongs to.

Errors

400
Procedure Run Plan Condition Update Request Bad Request Error
403
Procedure Run Plan Condition Update Request Forbidden Error
404
Procedure Run Plan Condition Update Request Not Found Error
409
Procedure Run Plan Condition Update Request Conflict Error
429
Procedure Run Plan Condition Update Request Too Many Requests Error
500
Procedure Run Plan Condition Update Request Internal Server Error